Loading...
Searching...
No Matches
pappso::TraceDetectionInterface Class Referenceabstract

`#include <tracedetectioninterface.h>`

Inheritance diagram for pappso::TraceDetectionInterface:

## Public Member Functions

virtual void | detect (const Trace &trace, TraceDetectionSinkInterface &sink, bool remove_peak_base) const =0
| detect peaks on a trace

## Detailed Description

Definition at line 43 of file tracedetectioninterface.h.

## Member Function Documentation

## detect()

virtual void pappso::TraceDetectionInterface::detect | ( | const Trace & | trace,
|  | TraceDetectionSinkInterface & | sink,
|  | bool | remove_peak_base ) const

pure virtual

detect peaks on a trace

Parameters

  trace | the trace to detect peaks on
  sink | the object to store peaks or stream it
  remove_peak_base | if true, removes the area under the base of the peak

Implemented in pappso::TraceDetectionMoulon, and pappso::TraceDetectionZivy.

The documentation for this class was generated from the following file:

- pappsomspp/core/processing/detection/tracedetectioninterface.h